=== debian/changelog ===
lomiri-push-qml (0.3-2) unstable; urgency=medium

  * Re-upload to unstable source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:36:34 +0100

lomiri-push-qml (0.3-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1088942).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 03 Dec 2024 12:03:58 +0100
