=== debian/control ===
Source: lomiri-push-qml
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.9),
               dbus-test-runner,
               debhelper-compat (= 13),
               liblomiri-connectivity-qt1-dev,
               pkgconf,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               xvfb,
               xauth,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-push-qml
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-push-qml.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-push-qml

Package: qml-module-lomiri-pushnotifications
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         qml-module-lomiri-components,
Description: Lomiri Push Notifications QML plugin
 Lomiri's Push Service is a client/server architecture that allows one to
 send notifications to the Lomiri Shell without the need of the
 targeted app being actually running.
 .
 This QML module provides means to register, receive and send push
 notifications.
