=== src/CMakeLists.txt ===
add_subdirectory(Lomiri)
if(ENABLE_UBUNTU_COMPAT)
add_subdirectory(Ubuntu)
endif()
