=== debian/changelog ===
lomiri-push-qml (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113244).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Update versioned B-D on cmake.
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 16:49:40 +0200
