=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.9),
+Build-Depends: cmake (>= 3.10),
                dbus-test-runner,
                debhelper-compat (= 13),
                liblomiri-connectivity-qt1-dev,
@@ -17,7 +17,7 @@
                qtdeclarative5-dev-tools,
                xvfb,
                xauth,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-push-qml
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-push-qml.git
